Skip to main content
GET
/
v1
/
approved_prices
List Approved Prices
curl --request GET \
  --url https://api.example.com/v1/approved_prices
import requests

url = "https://api.example.com/v1/approved_prices"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/approved_prices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "grid_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "grid_item_id": 123,
      "proposed_price": "<string>",
      "approved_price": "<string>",
      "currency_code": "<string>",
      "approved_at": "2023-11-07T05:31:56Z",
      "approved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "item_id": "<string>",
      "sku": "<string>",
      "store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "current_price": "<string>",
      "effective_date": "2023-12-25",
      "trace": [
        {
          "column_key": "<string>",
          "source_job_id": "<string>",
          "payload": null
        }
      ]
    }
  ],
  "next_cursor": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
cursor
string | null
approved_after
string<date-time> | null
approved_before
string<date-time> | null
effective_after
string<date> | null
effective_before
string<date> | null
grid_id
string<uuid> | null
store_id
string<uuid> | null
item_id
string | null
sku
string | null

Response

Successful Response

GET /v1/approved_prices response envelope.

items
ApprovedPriceListItem · object[]
next_cursor
string | null